summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Dugan Chen <thedoogster [at] gmail [dot] com>2015-06-28 02:23:56 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-06-28 11:34:44 +0700
commitffa2c9197673177b7391980ea308746d33b3c0ce (patch)
treee7a01a58f906b69711ca193c18c26545536e3872 /games
parent4b73edd813103f71a271f982914973ffe3f45cab (diff)
downloadslackbuilds-ffa2c9197673177b7391980ea308746d33b3c0ce.tar.gz
slackbuilds-ffa2c9197673177b7391980ea308746d33b3c0ce.tar.xz
games/eureka: Added (DOOM level editor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/eureka/README6
-rw-r--r--games/eureka/doinst.sh9
-rw-r--r--games/eureka/eureka.SlackBuild110
-rw-r--r--games/eureka/eureka.info10
-rw-r--r--games/eureka/slack-desc19
5 files changed, 154 insertions, 0 deletions
diff --git a/games/eureka/README b/games/eureka/README
new file mode 100644
index 0000000000..a585c5f0c6
--- /dev/null
+++ b/games/eureka/README
@@ -0,0 +1,6 @@
+Eureka is a cross-platform DOOM level editor using the FLTK widget library. It
+is based on Yadex and provides a new interface, support for source ports and a
+3D preview feature.
+
+Please see /usr/doc/eureka-1.07/INSTALL.txt form information on how Eureka
+looks for IWADs.
diff --git a/games/eureka/doinst.sh b/games/eureka/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/games/eureka/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/eureka/eureka.SlackBuild b/games/eureka/eureka.SlackBuild
new file mode 100644
index 0000000000..5687bbb6c8
--- /dev/null
+++ b/games/eureka/eureka.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Slackware build script for eureka
+
+# Copyright 2015 Dugan Chen Canada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=eureka
+VERSION=${VERSION:-1.07}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf eureka-$VERSION-source
+tar xvf $CWD/eureka-$VERSION-source.tar.gz
+cd eureka-$VERSION-source
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# The Makefile should not be setting the owner to root.
+sed -i "s/-o root//g" Makefile
+
+# And we're installing the icon and desktop file ourselves.
+sed -i "s/xdg-/# xdg-/g" Makefile
+
+LINKER_FLAGS="\
+ -L/usr/X11R6/lib$LIBDIRSUFFIX \
+ -L/usr/lib$LIBDIRSUFFIX/eureka \
+ -ldl \
+ -lXfixes \
+ -lXcursor
+
+mkdir -p $PKG/usr/bin
+make install \
+ PREFIX="$PKG/usr" \
+ LDFLAGS="$LINKER_FLAGS"
+
+mkdir -p $PKG/usr/share/applications
+cp misc/eureka.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/share/pixmaps
+cp misc/eureka.xpm $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/man/man6
+install -m644 misc/eureka.6 $PKG/usr/man/man6
+gzip -9 $PKG/usr/man/man6/eureka.6
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS.txt CHANGES.txt GPL.txt INSTALL.txt README.txt TODO.txt docs/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/eureka/eureka.info b/games/eureka/eureka.info
new file mode 100644
index 0000000000..6384445af5
--- /dev/null
+++ b/games/eureka/eureka.info
@@ -0,0 +1,10 @@
+PRGNAM="eureka"
+VERSION="1.07"
+HOMEPAGE="http://eureka-editor.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/project/eureka-editor/Eureka/1.07/eureka-1.07-source.tar.gz"
+MD5SUM="b9f3048ee56e4e7dcaa8c2e1c5bc7076"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="fltk13"
+MAINTAINER="Dugan Chen"
+EMAIL="thedoogster [at] gmail [dot] com"
diff --git a/games/eureka/slack-desc b/games/eureka/slack-desc
new file mode 100644
index 0000000000..c50b6fb6e8
--- /dev/null
+++ b/games/eureka/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+eureka: eureka (DOOM level editor)
+eureka:
+eureka: Eureka is a cross-platform DOOM level editor using the FLTK widget
+eureka: library. It is based on Yadex and provides a new interface, support
+eureka: for source ports and a 3D preview feature.
+eureka:
+eureka:
+eureka:
+eureka:
+eureka:
+eureka: